2 Replies Latest reply on Mar 25, 2002 10:29 AM by Bart Read

    EJB specification compliance.

    Bart Read Newbie

      Hi all,


      I've been mucking around with J2EE for a few weeks now, mainly using the Sun reference implementation, but just because that's what the tutorial uses and I didn't want to have to make myself learn a different application server before I could learn J2EE (argh!). However, for production purposes we're going to be using JBoss (it's free -- hurrah!!).

      Thing is I've just realised that what I've been doing so far is EJB 2.0 compliant, whereas my JBoss manual says that JBoss is EJB 1.1 compliant (I'm using JBoss 2.4.4 with Tomcat 4.0.1). This is a problem because I've been using relationships with entity beans using container managed persistence (not supported with EJB 1.1). Anybody know when JBoss is likely to be EJB 2.0 compliant? It's not a disaster because I CAN do what I need to without relationships but I just might have to blubber about it a bit... my beautiful code... sob!

      Nah, just kidding, but any info would be much appreciated.

      Thanks,
      Bart